Cette page est en cours de rédaction.
Apportez votre aide…


symfony_black_03.svg

Symfony

Symfony est un des framework PHP les plus utilisé. Il a une architecture MVC (Modèle Vue Controlleur), design patterns, l'abstraction de base de données, le mapping objet-relationnel avec Doctrine, le tests unitaires et fonctionnels, la gestion des URL, des formulaires, du cache, l'internationalisation et la génération des interfaces d'administration, etc.

Version V4

Installer tout d'abord le gestionnaire de dépendances PHP Composer:

sudo apt install composer

Se définir propriétaire des répertoires associés pour permettre à composer de créer les caches sans utiliser sudo 1):

sudo chown -R $USER $HOME/.composer

puis aller dans le répertoire où vous voulez créer votre projet ($USER/workspace par exemple) puis installer le squelette de symfony:

# application web
composer create-project symfony/website-skeleton mon_projet 
# ou bien
# micro-service, application console ou API
composer create-project symfony/skeleton mon_projet 

Dans votre navigateur internet, l'url http://localhost:8000 doit vous permettre d'atteindre la page d'accueil de votre projet

Version antérieure à la V4

On installe tout d'abord un installeur:

sudo curl -LsS https://symfony.com/installer -o /usr/local/bin/symfony
sudo chmod a+x /usr/local/bin/symfony 

qui nous permet ensuite d'installer:
Symfony v2.8:

symfony new my_project 2.8

Symfony v3

symfony new my_project

Avec PEAR (version 1.4.17)

FIXME Installez d'abord les paquets php-pear php5-cli php5-xsl

Vous pouvez vérifier l'installation depuis un terminal avec la commande :

pear list

Vous aurez la liste des paquets PEAR installés.

Installez ensuite Symfony avec les commandes :

sudo pear channel-discover pear.symfony-project.com
sudo pear install symfony/symfony

Vous aurez le message suivant vous indiquant que l'installation s'est correctement déroulée.

install ok: channel://pear.symfony-project.com/symfony-1.4.17

Problèmes et solutions

FIXME Il semblerait que l'installation de Symfony soit plus gourmande en ressources que les précédentes versions. Si vous obtenez le message d'erreur suivant (ou pas de message du tout) vous devrez augmenter la mémoire alloué à php-cli :

Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 8192 bytes) in /usr/share/php/PEAR/Installer.php on line 539

Éditez le fichier /etc/php5/cli/php.ini pour allouer 64MB de mémoire puis reprenez l'installation :

memory_limit = 64M      ; Maximum amount of memory a script may consume (32MB)

Respectivement les commandes suivantes vous donnent l'aide et la version installée :

symfony
symfony -V

Pour ajouter le gestionnaire de paquer Yarn: https://yarnpkg.com/lang/en/docs/install/#debian-stable
qui permet par exemple d'ajouter bootstrap https://symfony.com/doc/current/frontend/encore/bootstrap.html


Contributeur(e)s : _Enchained, L'ami René (Mise en page)+(Autres pages en lien avec les sujets), draco31.fr, Lenezir, YannUbuntu.


  • symfony.txt
  • Dernière modification: Le 25/11/2019, 13:47
  • par bcag2